Web lists-archives.com

Re: errors installing Samba 4 on Debian/Stretch




On Wed, Oct 17, 2018 at 06:29:27PM -0400, Gary Dale wrote:
> I'm posting this here because the problem seems to be with the package
> rather than with Samba. When I run apt install samba I get
> 
(SNIP)
> Job for smbd.service failed because the control process exited with error
> code.
> See "systemctl status smbd.service" and "journalctl -xe" for details.
> invoke-rc.d: initscript smbd, action "start" failed.
> ● smbd.service - Samba SMB Daemon
>    Loaded: loaded (/lib/systemd/system/smbd.service; enabled; vendor preset:
> enabled)
>    Active: failed (Result: exit-code) since Wed 2018-10-17 18:26:45 EDT;
> 10ms ago
>      Docs: man:smbd(8)
>            man:samba(7)
>            man:smb.conf(5)
>   Process: 12189 ExecStart=/usr/sbin/smbd $SMBDOPTIONS (code=exited,
> status=1/FAILURE)
>  Main PID: 12189 (code=exited, status=1/FAILURE)
> 
(SNIP)
> 
> The two suggestions for systemctl status and journalctl just return similar
> stuff. The service couldn't be started. Also, I note that the install seems
> to believe that I don't want to install samba as an ad-dc for some reason.
> 

I encountered this particular problem over a year ago when testing
jessie -> stretch upgrade for a server that acts as a Samba AD DC.  The
note I wrote to myself was this:

----------8<----->8----------
pre-upgrade it is necessary to execute "systemctl mask smbd nmbd
winbind" in order to prevent a known bug where the Samba AD service
(which manages the other services when in the AD DC configuration) will
fail to start because of winbind timeout which causes both packages to
fail to complete their upgrade
----------8<----->8----------

Unfortunately, I do not recall what the "known bug" is.  It might have
been in the Debian BTS or in the Samba Bugzilla, but I cannot find that
I kept a link or anything like that.

I hope this helps.

Regards,

-Roberto

-- 
Roberto C. Sánchez